Subject: Re: [PATCH] bisect: peel annotated tags to commits

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Mar 2021 11:24:03 -0700

Jeff King <[email-masked]> writes:

>> Looks like it bisects to 27257bc466 (bisect--helper: reimplement
>> `bisect_state` & `bisect_head` shell functions in C, 2020-10-15), which
>> isn't too surprising. So it broke in v2.30, but nobody seems to have
>> noticed during the last cycle.
>> 
>> I'd guess it's just missing a call to peel the input oid.
>
> Yep. Here's a fix. Again, not new in v2.31, so we don't have to worry
> about a brown-bag fix for yesterday's release. But I do think it's worth
> trying to get onto a maint release. I prepared this patch on top of
> mr/bisect-in-c-3.

Thanks.  Yes, if we ever do another update to 2.30.x, this probably
should be in it, as it is expected that people will start with tags
and not with individual commits.